Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
DatabaseStream..::.Read Method
DatabaseStream Class See Also Send Feedback

Read from the external file accessed by this database stream.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public DatabaseEntry Read(
    	long offset,
    	uint size
    )

Visual Basic (Declaration)
    Public Function Read ( _
    	offset As Long, _
    	size As UInteger _
    ) As DatabaseEntry

Visual C++
    public:
    DatabaseEntry^ Read(
    	long long offset,
    	unsigned int size
    )

#### Parameters

offset
  Type: System..::.Int64
  The position in bytes in the file where the reading starts.

size
  Type: System..::.UInt32
  The number of bytes to read.

#### Return Value

DatabaseEntry which contains the data read from the database stream.

# Exceptions

Exception | Condition
--- | ---
BerkeleyDB..::.DatabaseException | Thrown if there is any failure.

# See Also

DatabaseStream Class
BerkeleyDB Namespace